Skip to main content
`Ctrl`+`K`

# PetscDLLibraryAppend

Appends another dynamic link library to the end of the search list

## Synopsis

    PetscErrorCode PetscDLLibraryAppend(MPI_Comm comm, PetscDLLibrary *outlist, const char path[])

Collective, No Fortran Support

## Input Parameters

- comm - MPI communicator

- path - name of the library

## Output Parameter

- outlist - list of libraries

## Note

if library is already in path will not add it.

If the library has the symbol PetscDLLibraryRegister_basename() in it then that function is automatically run when the library is opened.

## See Also

`PetscDLLibrary`, `PetscDLLibraryOpen()`, `PetscLoadDynamicLibrary()`, `PetscDLLibraryRetrieve()`, `PetscDLLibraryPrepend()`

## Level

developer

## Location

src/sys/dll/dl.c

## Examples

src/ts/tutorials/ex28.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages